Package org.gradle

# Class BuildResult

java.lang.Object
org.gradle.BuildResult

public class BuildResult extends Object

A `BuildResult` packages up the result of a build.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildResult(String action, @Nullable Gradle gradle, @Nullable Throwable failure)`
  `BuildResult(@Nullable Gradle gradle, @Nullable Throwable failure)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  The action performed by this build.
  `@Nullable Throwable`
  `getFailure()`
  `@Nullable Gradle`
  `getGradle()`
  `BuildResult`
  `rethrowFailure()`
  Rethrows the build failure.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuildResult

    public BuildResult(@Nullable Gradle gradle, @Nullable Throwable failure)

  - ### BuildResult

    public BuildResult(String action, @Nullable Gradle gradle, @Nullable Throwable failure)

- ## Method Details

  - ### getGradle

    public @Nullable Gradle getGradle()

  - ### getFailure

    public @Nullable Throwable getFailure()

  - ### getAction

    public String getAction()
    The action performed by this build. Either `Build` or `Configure`.

  - ### rethrowFailure

    public BuildResult rethrowFailure()

    Rethrows the build failure. Does nothing if there was no build failure.